%define name pearpc
%define version 0.4
%define release %mkrel 3

Summary: PowerPC emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: pearpc-0.2-default.config.patch.bz2
Patch1: pearpc-0.4-x86-64.patch.bz2
License: GPL
Group: Emulators
Url: http://pearpc.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: bridge-utils
BuildRequires: qt3-devel
BuildRequires: flex
%ifarch %ix86
BuildRequires: nasm
%endif

%description
Experimental emulator of PowerPC hardware, capable of running at least
MacOS X, Mandriva Linux PPC and Darwin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .x86-64

%build
%configure2_5x --enable-gui=qt \
%ifarch %ix86
	--enable-cpu=jitc_x86
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%_datadir/%name
install video.x %buildroot%_datadir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO ppccfg.example
%_bindir/ppc
%_mandir/man1/ppc.1*
%_datadir/%name

%changelog
* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2007.0
- Rebuild

* Wed Apr 13 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.4-2mdk
- Merged deb fixes for X86-64.
- Added bridge-utils to requires.

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 0.4-1mdk
- drop patch 1
- New release 0.4
- use mkrel

* Wed Sep  7 2005 Gtz Waschk <waschk@mandriva.org> 0.3.1-2mdk
- patch for gcc 4

* Mon Sep  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- New release 0.3.1

* Fri Aug 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- New release 0.3.0

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- add man page
- fix configure call
- rediff patch
- New release 0.2.0

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-2mdk
- rebuild for new g++

* Thu May 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Fri May 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed May 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- fix buildrequires

* Wed May 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial packages
